#
# spec file for package digikam (Version 0.9.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ConsoleKit Mesa Mesa-devel PolicyKit aaa_base acl alsa-devel arts arts-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake avahi avahi-compat-mDNSResponder avahi-compat-mDNSResponder-devel avahi-devel avahi-glib bash binutils brp-check-internal bzip2 cairo cairo-devel coreutils cpio cpp cpp42 cracklib cups-devel cups-libs cvs cyrus-sasl dbus-1 dbus-1-devel dbus-1-glib dbus-1-qt3 dbus-1-qt3-devel desktop-translations diffutils doxygen fam fam-devel fdupes file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc42 gcc42-c++ gdbm gettext gettext-devel giflib giflib-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel grep groff gtk2 gtk2-devel gzip hal hicolor-icon-theme imlib2 imlib2-devel info insserv jack-devel kdelibs3 kdelibs3-arts kdelibs3-default-style kdelibs3-devel kdelibs3-doc kdesdk3-translate less libacl libacl-devel libart_lgpl libart_lgpl-devel libasound2 libattr libattr-devel libbz2-1 libbz2-devel libdaemon libdb-4_5 libdrm libdrm-devel libexif libexif-devel libexiv2 libexiv2-devel libexpat-devel libexpat1 libgcc42 libgcrypt libgcrypt-devel libglade2 libgomp42 libgpg-error libgpg-error-devel libgphoto2 libgphoto2-devel libgphoto2-lang libidn libidn-devel libjack libjasper libjasper-devel libjpeg libjpeg-devel libkdcraw-devel libkdcraw1 libkexiv2 libkexiv2-devel libkipi libkipi-devel libkipi-lang liblcms liblcms-devel libltdl-3 libmng libmng-devel libmudflap42 libnscd libogg libogg-devel libopenssl-devel libopenssl0_9_8 libpng libpng-devel libreadline5 libsmbios-libs libstdc++-devel libstdc++42 libstdc++42-devel libtiff-devel libtiff3 libtool libusb libusb-devel libuuid1 libvolume_id libvorbis libvorbis-devel libxcrypt libxml2 libxml2-devel libxslt libxslt-devel libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg nss-mdns openldap2-client openssl openssl-certs pam pam-config pam-modules pango pango-devel parted patch pcre pcre-devel perl perl-base permissions pkg-config pmtools popt post-build-checks pwdutils python qt3 qt3-devel resmgr rpm sed setserial sgml-skel sqlite sqlite-devel sqlite2 sqlite2-devel sudo sysvinit tar texinfo timezone unsermake update-desktop-files util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           digikam
BuildRequires:  doxygen giflib-devel imlib2-devel kdelibs3-devel kdesdk3-translate
BuildRequires:  libkdcraw-devel libkexiv2-devel libkipi-devel sqlite-devel sqlite2-devel
%if %suse_version > 1020
BuildRequires:  fdupes libjasper-devel
%else
BuildRequires:  libjasper
%endif
%if %suse_version > 1010
BuildRequires:  libgphoto2-devel
%else
BuildRequires:  libgphoto2
%endif
%if %suse_version < 1010
BuildRequires:  libtiff-devel
%endif
License:        GPL v2 or later
Group:          Productivity/Graphics/Viewers
Summary:        A KDE Photo Manager
Version:        0.9.2
Release:        51.2
%define rversion %version-final
Url:            http://www.digikam.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{rversion}.tar.bz2
Source1:        service.desktop
Source2:        digikamrc
Source3:        superimposetemplates-0.1.1.tar.bz2
Patch1:         external-sqlite.diff
Patch4:         digikam-gphoto-disk.patch
Patch5:         digikam-load.diff
Patch7:         digikam-print.diff
Patch9:         renamepreview.patch
Patch10:        digikam-gphoto-codeset.patch
Patch11:        digikam-fix-loss-on-download.diff
Requires:       imlib2-loaders
%if %suse_version > 1020
Requires:       %{name}-lang = %{version}
Provides:       digikamimageplugins-lang = 0.9.1
Obsoletes:      digikamimageplugins-lang <= 0.9.1
%endif

%description
digiKam is a simple digital photo management application for KDE, which
allows you to import and organize your digital photos easily. The
photos can be organized in albums, which can be sorted chronologically,
by directory layout, or by custom collections. An easy-to-use interface
that enables you to connect to your camera and preview, download, or
delete your images, is provided.



Authors:
--------
    Renchi Raju <renchi@green.tam.uiuc.edu>

%debug_package
%package -n libdigikam-devel
License:        GPL v2 or later
Group:          Hardware/Camera
Summary:        A KDE Photo Manager
Requires:       libkexiv2-devel kdelibs3-devel 
%if %suse_version > 1020
Requires:       libjasper-devel libgphoto2-devel
%else
%if %suse_version > 1010
Requires:       libgphoto2
%else
Requires:       libjasper
%endif
%endif

%description -n libdigikam-devel
digiKam is a simple digital photo management application for KDE, which
makes importing and organizing digital photos easy. The photos can be
organized in albums, which can be sorted chronologically, by directory
layout, or by custom collections. An easy-to-use interface is provided
that enables you to connect to your camera and preview, download, and
delete your images.



Authors:
--------
    Renchi Raju <renchi@green.tam.uiuc.edu>

%package -n digikamimageplugins
License:        GPL v2 or later
Group:          Productivity/Graphics/Viewers
Summary:        Image Manipulation Plug-Ins
%if %suse_version > 1000
Recommends:     digikamimageplugins-superimpose
%endif

%description -n digikamimageplugins
Various plug-ins for the image editor in Digikam:

* AdjustLevels	: A plug-in adjusting the image histogram levels
   manually.

* SolarizeImage : A plug-in for solarizing an image.

* Despeckle	: A noise reduction filter.

* OilPaint	: An oil painting effect filter.

* Emboss	: An embossed image effect filter.

* Charcoal	: A charcoal drawing image effect filter.

* Unsharp	: An unsharped mask image filter.

* RainDrop	: Adding raindrops randomly in an image.

* FilmGrain	: Adding film grain in an image.



Authors:
--------
    Gilles Caulier <caulier dot gilles at free.fr>
    Renchi Raju <renchi at pooh.tam.uiuc.edu>

%package -n digikamimageplugins-superimpose
License:        GPL v2 or later
Group:          Productivity/Graphics/Viewers
Summary:        Templates for Digikam's Superimpose Plugin

%description -n digikamimageplugins-superimpose
This package contains templates for the Superimpose plugin of Digikam.



Authors:
--------
    Gilles Caulier <caulier dot gilles at free.fr>
    Renchi Raju <renchi at pooh.tam.uiuc.edu>

%if %suse_version > 1020
%lang_package
%endif

%prep 
%setup -q -n %name-%rversion
rm -rf digikam/sqlite
%patch1
%patch4 -p1
#%patch5 -p0
%patch7
%patch9
%patch10
%patch11
. /etc/opt/kde3/common_options
update_admin --no-unsermake

%build
. /etc/opt/kde3/common_options
export PKG_CONFIG_PATH=/opt/kde3/%_lib/pkgconfig
./configure $configkde --disable-final
make VERBOSE=1 %{?jobs:-j%jobs}

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%if %suse_version > 1000
%suse_update_desktop_file digikam  Graphics Photography
%suse_update_desktop_file digikamthemedesigner  Graphics Photography
%else
%suse_update_desktop_file digikam  Graphics Photograph
%suse_update_desktop_file digikamthemedesigner  Graphics Photograph
%endif
%suse_update_desktop_file showfoto Graphics Viewer
echo "NoDisplay=true" >> $RPM_BUILD_ROOT/opt/kde3/share/applications/kde/showfoto.desktop
echo "NoDisplay=true" >> $RPM_BUILD_ROOT/opt/kde3/share/applications/kde/digikamthemedesigner.desktop
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus/open_in_digikam.desktop
%suse_update_desktop_file $RPM_BUILD_ROOT/opt/kde3/share/apps/konqueror/servicemenus/open_in_digikam.desktop
#
# install superimpose templates
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/apps/digikamimageplugins/superimpose/
tar xfj %SOURCE3 -C $RPM_BUILD_ROOT/opt/kde3/share/apps/digikamimageplugins/superimpose/
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/config/
install -m 0644 %SOURCE2 $RPM_BUILD_ROOT/opt/kde3/share/config/
%if %suse_version > 1020
%fdupes -s $RPM_BUILD_ROOT
%endif
kde_post_install
%find_lang %name

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT
%if %suse_version > 1020

%files lang -f %name.lang

%files
%else

%files -f %name.lang
%endif
%defattr(-,root,root)
/opt/kde3/bin/*
/opt/kde3/%_lib/*.so.*
%exclude /opt/kde3/%_lib/kde3/digikamimageplugin*.la
%exclude /opt/kde3/%_lib/kde3/digikamimageplugin*.so
/opt/kde3/%_lib/kde3/*
/opt/kde3/share/appl*/*/*.desktop
%exclude /opt/kde3/share/apps/digikam/digikamimageplugin_*
%exclude /opt/kde3/share/apps/digikamimageplugins
/opt/kde3/share/apps/*
/opt/kde3/share/icons/*
%exclude /opt/kde3/share/services/digikamimageplugin_*.desktop
/opt/kde3/share/services/*
/opt/kde3/share/servicetypes/digikamimageplugin.desktop
/usr/share/man/man1/digitaglinktree.1.gz
%dir /opt/kde3/share/doc/HTML/en/digikam-%rversion-apidocs

%files -n libdigikam-devel
%defattr(-,root,root)
/opt/kde3/include/digikam
/opt/kde3/include/digikam_export.h
/opt/kde3/%_lib/libdigikam.so
/opt/kde3/%_lib/libdigikam.la

%files -n digikamimageplugins
%defattr(-,root,root)
/opt/kde3/%_lib/kde3/digikamimageplugin*.la
/opt/kde3/%_lib/kde3/digikamimageplugin*.so
%exclude /opt/kde3/share/apps/digikamimageplugins
/opt/kde3/share/apps/digikamimageplugins
/opt/kde3/share/apps/digikam/digikamimageplugin_*
/opt/kde3/share/config/digikamrc
/opt/kde3/share/services/digikamimageplugin_*.desktop

%files -n digikamimageplugins-superimpose
%defattr(-,root,root)
%dir /opt/kde3/share/apps/digikamimageplugins
/opt/kde3/share/apps/digikamimageplugins/superimpose

%changelog
* Thu Sep 25 2008 - wstephenson@suse.de
- Fix race condition when downloading photos (bnc#418199)
* Wed Aug 22 2007 - meissner@suse.de
- handle filename conversions correctly, if you by chance
  use MTP devices with digikam.
* Tue Jul 17 2007 - stbinner@suse.de
- don't show digikamthemedesigner within application menu
* Mon Jul 09 2007 - stbinner@suse.de
- move obsoletes/provides to proper place
* Thu Jun 21 2007 - dmueller@suse.de
- deinstall digikamimageplugins-lang on update
* Tue Jun 19 2007 - stbinner@suse.de
- fix build in KDE:Backports for older distributions
- add "Recommends: digikamimageplugins-superimpose"
* Mon Jun 18 2007 - stbinner@suse.de
- update to version 0.9.2:
  * DigikamImagePlugins have been merged into digiKam tarballs.
  * New depency to libkdcraw shared library used to decode RAW file.
  * Removing direct Exiv2 library depency. libkexiv2 is now used
  * Light Table tool to compare similar images side by side
  * Red Eyes Correction tool have been completly re-writen.
  * Solarize plugin is now a "Color Effects" pack including Solarize,
  Velvia (new plugin), Neon, and Edge effects.
  * Black & White converter now support a lots of B&W analog camera
  film types (Agfa, Ilford, Kodak). A new 'strength' setting can
  simulate the amount of Lens filters effect.
- split of Superimpose plugin templates into sub-package
* Thu Jun 14 2007 - stbinner@suse.de
- running fdupes makes digikam.rpm 285KB smaller
* Fri Jun 01 2007 - coolo@suse.de
- move kde_post_install
* Tue May 15 2007 - coolo@suse.de
- build on older distributions
* Fri May 11 2007 - coolo@suse.de
- seperate translations into special subpackage
* Tue Apr 24 2007 - dmueller@suse.de
- fix devel package requires
* Mon Apr 23 2007 - dmueller@suse.de
- split into -devel package
* Fri Apr 20 2007 - dmueller@suse.de
- update BuildRequires
* Thu Apr 19 2007 - dmueller@suse.de
- update BuildRequires
* Tue Apr 17 2007 - dmueller@suse.de
- build against libexiv 0.14
* Mon Mar 05 2007 - stbinner@suse.de
- update to 0.9.1:
  * Native JPEG2000 image loader. Warning for lossy JPEG file saving
  * Tags View from Comments & Tags side bar support drag & drop.
  * Batch tool to sync all pictures metadata (EXIF/IPTC) with digiKam database content.
  * Status bar in Album Gui with a progress bar, text bar, and navigate bar.
  * Native SlideShow tool which uses the Image Preview feature. RAW files
  can be slided very fast. Configurable data display. Album recursive mode available
  *The tags trees are stored as such into IPTC fields
  * Usability improvements everywhere
  AlbumGUI :
  * Improvement of pop-up menu of Tags Filter View and Comment & Tags ON auto selection/
  deselection of parents/child tags in Tags treeview.
  * Preview picture mode use a memory cache to speed-up loading.
  * Preview mode has better a context pop-up menu.
  * Prefer Exif DateTimeOriginal to sort images (DateTimeDigitized and DateTime used as fallback)
  Image Plugins :
  * All tools remember settings between sessions
  * All tools render properly preview of image using Color Managed View
  * All tools use the same keyboard shortcuts as PhotoShop
  * Brightness/Contrast/Gamma : setting value excursion are the same as Photoshop.
  * New option in all Color corrections Tools to show under-exposed and over-exposed areas
  of corrected picture before applying corrections
  * Add Border Tool : add new option to preserve aspect ratio. Border Width can be set in
  pixels or in percentage
  * Perspective Tool : add a grid and vertical/horizontal guide lines.
  * Ratio-crop Tool : usability improvements from Jaromir Malenko.
  * Auto Color Correction Tool : add new filter to perform auto-exposure corrections.
  Image Editor :
  * Advanced options to keep ratio and alignment when printing pictures.
  * Color profiles are tested now to avoid invalid files.
  * Add a progress bar to Image editor/showfoto about IO image files access.
* Thu Jan 04 2007 - stbinner@suse.de
- fix build on 10.2 in KDE:Backports
* Tue Dec 19 2006 - stbinner@suse.de
- update to final 0.9 release
* Sat Dec 09 2006 - dmueller@suse.de
- update to 0.9.0 rc2:
  * uses libexiv2 now for EXIF parsing
  * many more features and over 500 bugfixes see:
  http://www.digikam.org/?q=about/features09x
* Sat Nov 04 2006 - stbinner@suse.de
- fix build for < 10.1
* Fri Nov 03 2006 - llunak@suse.cz
- fix preview in rename dialog when downloading
  from camera (#188108)
* Thu Nov 02 2006 - stbinner@suse.de
- fix crash when right-clicking in empty main window (#216511)
* Sat Oct 21 2006 - meissner@suse.de
- buildrequires libgphoto2-devel
* Wed Sep 13 2006 - stbinner@suse.de
- fix build for 10.0
* Wed Jul 19 2006 - dmueller@suse.de
- update to 0.8.2.
  * add missing Rating info in album item file tip and image
  properties dialog
  * display JPEG that use CMYK color space
  * Rating image using keyboard shortcuts CTRL+0/1/2/3/4/5 from
  main interface
  * Buttons to set the album date to oldest, yougest of the
  images in the album
* Mon May 22 2006 - stbinner@suse.de
- no x-raw.desktop in STABLE, is now contained in kdelibs 3.5.2
* Wed Mar 22 2006 - stbinner@suse.de
- no x-raw.desktop in PLUS, is now contained in kdelibs 3.5.2
* Tue Feb 28 2006 - coolo@suse.de
- fix the print of filename (as indicated by compiler warning and
  [#153544])
* Mon Feb 13 2006 - stbinner@suse.de
- add upstream patch to fix problems on ppc (KDE #121646)
* Mon Feb 06 2006 - stbinner@suse.de
- fix build
* Mon Feb 06 2006 - coolo@suse.de
- grap fix from KDE SVN to fix severe problem with search for images
  (KDE bugs 120479 and 120775)
* Tue Jan 31 2006 - coolo@suse.de
- fix gphoto2 cameras
* Thu Jan 26 2006 - meissner@suse.de
- Upgraded to 0.8.1.
	- image rating
	- 8 bit raw support added
	- copy & paste support (between albums or between digikam + konqi)
	- new dcop interface to control opening the camera dialog
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - coolo@suse.de
- give digikam as option in the media popup
* Wed Dec 21 2005 - dmueller@suse.de
- fix file list
* Mon Nov 28 2005 - stbinner@suse.de
- update to version 0.8
* Sat Nov 19 2005 - stbinner@suse.de
- keep old xdg menu category for build on older distribution
* Thu Nov 17 2005 - stbinner@suse.de
- fix build on 9.1 and 9.2
* Thu Sep 29 2005 - stbinner@suse.de
- fix "Photograph" to correct "Photography" xdg menu category
* Fri Aug 19 2005 - adrian@suse.de
- update to version 0.7.4
  * translation updates
* Fri Aug 19 2005 - coolo@suse.de
- fix file list for icons
* Wed Aug 17 2005 - meissner@suse.de
- do not overwrite ports with "usb:" everytime.
* Sat Jul 23 2005 - dmueller@suse.de
- fix filelist
* Thu Jul 21 2005 - dmueller@suse.de
- 0.7.3 final update
- removed -fvisibility=hidden support as it exposes a compiler bug
  on x86_64 and ppc64
* Mon May 23 2005 - adrian@suse.de
- update to version 0.7.3 beta 2
* Mon Mar 14 2005 - adrian@suse.de
- fix build for 9.2 distribution
* Sat Mar 05 2005 - adrian@suse.de
- fix build
* Thu Mar 03 2005 - adrian@suse.de
- update to version 0.7.2 final
- hide showfoto dialog for now, we use gwenview as default picture
  viewer
* Fri Feb 11 2005 - adrian@suse.de
- remove some debug output
* Wed Feb 09 2005 - adrian@suse.de
- update to version 0.7.2beta1
* Tue Jan 04 2005 - adrian@suse.de
- update to version 0.7.1
* Mon Nov 29 2004 - adrian@suse.de
- use sqlite2 compat packages
* Wed Nov 17 2004 - adrian@suse.de
- use the new native digikam icon again
* Mon Nov 15 2004 - adrian@suse.de
- use internal sqlite for < SuSE 9.1
* Mon Nov 08 2004 - adrian@suse.de
- update to version 0.7 final
* Sun Oct 24 2004 - adrian@suse.de
- add libkipi-devel to nfb
* Wed Oct 20 2004 - adrian@suse.de
- update to version 0.7 beta 1
* Mon Sep 27 2004 - adrian@suse.de
- add Requires: imlib2-loaders or the editor is unable to load a
  picture (#46002)
* Mon Sep 20 2004 - adrian@suse.de
- update to current cvs
- use the core camera icon, it does fit better to crystal icons
* Fri Sep 10 2004 - adrian@suse.de
- update to current cvs
* Thu Jul 29 2004 - adrian@suse.de
- update to current snapshot (pre-0.7 version)
  * enable kipi support
- patch to use external sqlite lib
* Mon Jun 21 2004 - adrian@suse.de
- update to version 0.6.2
* Wed Jun 16 2004 - adrian@suse.de
- add requires to dcraw for > 9.1
  A plugin needs it.
* Wed Apr 21 2004 - coolo@suse.de
- build everything without unsermake
* Sun Apr 18 2004 - coolo@suse.de
- return in non-void function
* Thu Apr 15 2004 - coolo@suse.de
- build without unsermake
* Thu Apr 08 2004 - adrian@suse.de
- fix path to k3b
- remove mpeg plugin, we miss the tools anyway
* Sun Apr 04 2004 - adrian@suse.de
- add patch by Andi Kleen to create a "Pictures" directory,
  instead of confusing the user.
* Thu Apr 01 2004 - coolo@suse.de
- readding icons (#37369)
* Mon Mar 22 2004 - adrian@suse.de
- fixing german translation (#36674)
* Sun Feb 29 2004 - ro@suse.de
- different approach to remove buildroot traces
* Tue Feb 17 2004 - adrian@suse.de
- fix Categories
* Tue Feb 10 2004 - adrian@suse.de
- update to version 0.6 final
* Wed Feb 04 2004 - adrian@suse.de
- fix build
* Mon Feb 02 2004 - adrian@suse.de
- update to version 0.6.0rc2
- add digikamplugins to package
* Tue Jan 13 2004 - coolo@suse.de
- fixing Makefile problems
* Tue Dec 30 2003 - adrian@suse.de
- install default icons in crystalsvg
* Wed Oct 15 2003 - meissner@suse.de
- Upgraded to current 0.6.0 CVS, "all known bugs fixed" [tm]
- Do not build as root.
* Tue Sep 23 2003 - meissner@suse.de
- fixed crash on corrupt JPEG, #31180.
* Thu Sep 18 2003 - varkoly@suse.de
- update hungarian translation
* Tue Sep 16 2003 - adrian@suse.de
- update czech translation
* Tue Sep 09 2003 - adrian@suse.de
- add hungarian translation from Peter Varkoly
* Mon Sep 08 2003 - adrian@suse.de
- use a nicer icon
* Wed Aug 13 2003 - adrian@suse.de
- add czech translation from Klara Cihlarova
* Mon Jul 28 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - adrian@suse.de
- Add Categories
* Thu Jun 12 2003 - coolo@suse.de
- use find_lang
- package icons directories too
- use $INSTALL_TARGET
* Mon Jun 02 2003 - meissner@suse.de
- Upgraded to pre 0.6, packaged the rest of the files,
  adapted neededforbuild.
* Thu Sep 19 2002 - adrian@suse.de
- enable the build again and update to 0.5.1 (KDE 3 port)
* Tue Feb 26 2002 - ro@suse.de
- added libexif to neededforbuild
* Mon Feb 04 2002 - ro@suse.de
- try forward port to current gphoto2
* Sat Jan 19 2002 - adrian@suse.de
- update to version 0.4
* Sat Jan 05 2002 - adrian@suse.de
- update to final 0.3
* Thu Jan 03 2002 - adrian@suse.de
- update to version 0.3_beta1
* Sat Dec 29 2001 - adrian@suse.de
- initial packaging
